Scientific Linux Security Update : glibc on SL6.x i386/x86_64

Medium Nessus Plugin ID 61187


The remote Scientific Linux host is missing one or more security updates.


The glibc packages contain the standard C libraries used by multiple programs on the system. These packages contain the standard C and the standard math libraries. Without these two libraries, a Linux system cannot function properly.

A flaw was found in the way the ldd utility identified dynamically linked libraries. If an attacker could trick a user into running ldd on a malicious binary, it could result in arbitrary code execution with the privileges of the user running ldd. (CVE-2009-5064)

It was found that the glibc addmntent() function, used by various mount helper utilities, did not handle certain errors correctly when updating the mtab (mounted file systems table) file. If such utilities had the setuid bit set, a local attacker could use this flaw to corrupt the mtab file. (CVE-2011-1089)

This update also fixes several bugs and adds various enhancements.

Users are advised to upgrade to these updated glibc packages, which contain backported patches to resolve these issues and add these enhancements.


Update the affected packages.

See Also

Plugin Details

Severity: Medium

ID: 61187

File Name: sl_20111206_glibc_on_SL6_x.nasl

Version: $Revision: 1.1 $

Type: local

Agent: unix

Published: 2012/08/01

Modified: 2012/08/01

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.9

Vector: CVSS2#AV:L/AC:M/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: x-cpe:/o:fermilab:scientific_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2011/12/06

Reference Information

CVE: CVE-2009-5064, CVE-2011-1089